List Events
GET
https://api.baremetrics.com/v1/{source_id}/eventsPath parameters
source_idstring requiredPlease see Sources
Query parameters
live_streamstringSet this to true to only return events that show up in the live stream
Default
"false"startstring · date-timeendstring · date-time
Responses
200OK
{
"events": [
{
"id": "id_1",
"event_type": "charge",
"source": "baremetrics",
"source_id": "baremetrics_1",
"timestamp": 1475452800,
"customer": {
"oid": "customer_1",
"source_id": "source_1",
"source": "stripe",
"created": 1492605754,
"email": "customer_1@baremetrics.com",
"name": "Customer 1",
"display_image": "https://logo.clearbit.com/baremetrics.com",
"display_name": "Customer 1",
"notes": "Here are some notes",
"ltv": 50000
}
}
],
"meta": {
"pagination": {
"has_more": false,
"page": 0,
"per_page": 30
}
}
}400Bad Request
{}